<resources>

    <style name="AppTheme" parent="Theme.MaterialComponents.Light.NoActionBar">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowActionBar">false</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="colorPrimaryVariant">@color/light_yellow</item>
    </style>

    <style name="MySearchView" parent="Widget.AppCompat.SearchView">
        <!-- Text color -->
        <item name="android:textColor">@color/color_white</item>
        <!-- Hint text color -->
        <item name="android:textColorHint">@color/color_white</item>
    </style>

    <style name="AppBarOverlay" parent="ThemeOverlay.MaterialComponents.Dark.ActionBar" />

    <style name="PopupOverlay" parent="ThemeOverlay.MaterialComponents.Dark" />

    <style name="GDTTextInputLayout" parent="Widget.MaterialComponents.TextInputLayout.OutlinedBox">
        <item name="boxStrokeColor">@color/color_highlight</item>
        <item name="endIconTint">@color/color_white</item>
        <item name="hintTextColor">@color/color_white</item>
        <item name="errorTextAppearance">@style/TilErrorTextAppearance</item>
    </style>

    <style name="GDTTextInputLayout.ClearText">
        <item name="endIconMode">clear_text</item>
    </style>

    <style name="GDTTextInputLayout.PasswordToggle">
        <item name="endIconMode">password_toggle</item>
    </style>

    <style name="TilErrorTextAppearance" parent="Widget.MaterialComponents.TextInputLayout.OutlinedBox">
        <item name="android:textSize">12sp</item>
        <item name="android:fontFamily">@font/kh_battambang</item>
    </style>

    <style name="BoxInputLayout.UserName">
        <item name="endIconMode">clear_text</item>
    </style>

    <style name="BoxInputLayout.Password">
        <item name="endIconMode">password_toggle</item>
    </style>

    <style name="TErrorTextAppearance" parent="Widget.MaterialComponents.TextInputLayout.FilledBox">
        <item name="android:textSize">16sp</item>
        <item name="android:fontFamily">@font/kh_battambang</item>
    </style>

    <style name="BoxInputLayout" parent="Widget.MaterialComponents.TextInputLayout.FilledBox">
        <item name="colorSecondaryVariant">@color/light_yellow</item>
        <item name="colorOnSecondary">#000000</item>
        <item name="boxStrokeColor">@color/light_yellow</item>
        <item name="endIconTint">@android:color/white</item>
        <item name="colorAccent">@color/light_yellow</item>
        <item name="hintTextColor">@android:color/white</item>
        <item name="colorControlNormal">@color/light_yellow</item>
        <item name="colorControlHighlight">@color/light_yellow</item>
        <item name="colorControlActivated">@color/light_yellow</item>
        <item name="errorTextAppearance">@style/TErrorTextAppearance</item>
    </style>
</resources>
